enum WeekDays
{
SATURDAY=0x07,
SUNDAY=0x01,
MONDAY=0x02,
TUESDAY=0x03,
WEDNESDAY=0x04,
THURSDAY=0x05,
FRIDAY=0x06
};


struct TimeStruct
{
  char FormatedTime[9];
  char FormatedDate[9];
  void (*SetTime)(char Hour, char Minute, char WeekDay, char Date, char Month, char Year);
  char* (*GetTime)();
  char* (*GetDate)();
  void (*Update)();
}Time;


#include "Time.c"

void InitTime()
{
  I2C1_Init(100000);
  Time.SetTime=&SetLocalTime;
  Time.Update=&UpdateLocalTime;
  Time.GetTime=&GetLocalTime;
  Time.GetDate=&GetLocalDate;
}