void SoftMax7219Init()
{
  MAX7219_CS=1;
  MAX7219_SDO=0;
  MAX7219_SDI=0;
  MAX7219_SCK=0;
  MAX7219_CS_DIRECTION=0;
  MAX7219_SDO_DIRECTION=0;
  MAX7219_SDI_DIRECTION=1;
  MAX7219_SCK_DIRECTION=0;
  
  MAX7219_CS=1;

  MAX7219_CS=0;
  Soft7219SpiWriteByte(0x09);
  Soft7219SpiWriteByte(0x0f);
  MAX7219_CS=1;

  MAX7219_CS=0;
  Soft7219SpiWriteByte(0x0a);
  Soft7219SpiWriteByte(0x0f);
  MAX7219_CS=1;

  MAX7219_CS=0;
  Soft7219SpiWriteByte(0x0b);//----> scan limit register
  Soft7219SpiWriteByte(0x03);//----> Displays 0-3 segments
  MAX7219_CS=1;

  MAX7219_CS=0;
  Soft7219SpiWriteByte(0x0c);
  Soft7219SpiWriteByte(0x01);
  MAX7219_CS=1;

  MAX7219_CS=0;
  Soft7219SpiWriteByte(0x00);
  Soft7219SpiWriteByte(0xff);
  MAX7219_CS=1;
}

void SoftMax7219Print(unsigned int Number)
{
  MAX7219_CS=0;
  Soft7219SpiWriteByte(0x01);
  Soft7219SpiWriteByte((Number/1000)%10);
  MAX7219_CS=1;

  MAX7219_CS=0;
  Soft7219SpiWriteByte(0x02);
  Soft7219SpiWriteByte((Number/100)%10);
  MAX7219_CS=1;

  MAX7219_CS=0;
  Soft7219SpiWriteByte(0x03);
  Soft7219SpiWriteByte((Number/10)%10);
  MAX7219_CS=1;

  MAX7219_CS=0;
  Soft7219SpiWriteByte(0x04);
  Soft7219SpiWriteByte(Number%10);
  MAX7219_CS=1;
}


void SoftMax7219DisplayOff()
{
  MAX7219_CS=0;
  Soft7219SpiWriteByte(0x0c);
  Soft7219SpiWriteByte(0x00);
  MAX7219_CS=1;
}

void SoftMax7219DisplayOn()
{
  MAX7219_CS=0;
  Soft7219SpiWriteByte(0x0c);
  Soft7219SpiWriteByte(0x01);
  MAX7219_CS=1;
}