#line 1 "C:/Documents and Settings/Nart Schinackow/Desktop/Project/Source.c"
#line 1 "c:/program files/mikroelektronika/mikroc pro for pic/include/string.h"
#line 18 "c:/program files/mikroelektronika/mikroc pro for pic/include/string.h"
unsigned char __Byte__Buffer__[9];
unsigned char __Word__Buffer__[17];
char __BUFFER__[6];

void StringCopy(char* To, char* From);
void StringConcat(char* String, char* Add);
unsigned int StringLength(char* String);
char* ConvertInt2String(unsigned int Value);
unsigned int ConvertString2Int(char* String);
unsigned char* ConvertByte2BString(unsigned char Byte);
unsigned char* ConvertWord2BString(unsigned int Word);
unsigned char ConvertBStringToByte(char* ByteString);
unsigned int ConvertBStringToWord(char* WordString);
char* ConvertByte2String(unsigned char Value);
unsigned char ConvertString2Byte(char* String);
unsigned short StringCompare(char* StringA, char* StringB);
void StringReplace(char* x, char* y);
unsigned short StringNCompare(char* Str1, char* Str2, unsigned int Number);
void StringNCopy(char* To, char* From, unsigned int Number);
void StringToUpper(char* Str);
void StringToLower(char* Str);
unsigned char IsCharUpper(char c);
unsigned char IsCharLower(char c);
#line 1 "c:/program files/mikroelektronika/mikroc pro for pic/include/utility_strings.c"
#line 16 "c:/program files/mikroelektronika/mikroc pro for pic/include/utility_strings.c"
void StringCopy(char* To, char* From)
{
 while(*To++=*From++);
}

void StringConcat(char* String, char* Add)
{
 while(*++String);
 while(*String++=*Add++);
}

unsigned int StringLength(char* String)
{
 unsigned int __c__;
 for(__c__=0;*String;String++)__c__++;
 return __c__;
}
#line 47 "c:/program files/mikroelektronika/mikroc pro for pic/include/utility_strings.c"
char* ConvertInt2String(unsigned int Value)
{
 unsigned int __t__;
 char* __p__;

 if(!Value)
 {
 __BUFFER__[0]='0';
 __BUFFER__[1]='\0';
 }
 else
 {
 __t__=Value;
 for(__p__=__BUFFER__;__t__>0;__t__/=10)__p__++;
 for(*__p__='\0';Value>0;Value/=10)*--__p__=(Value%10)+48;
 }
 return __p__=__BUFFER__;
}



unsigned int ConvertString2Int(char* String)
{
 unsigned int __c__;
 unsigned int __i__;
 unsigned int __s__;
 unsigned int __m__;
 for(__c__=0;*String;String++)__c__++;__s__=0;__m__=1;
 for(__i__=0;__i__<__c__;__i__++){__s__+=(*--String-48)*__m__;__m__*=10;}
 return __s__;
}


unsigned char* ConvertByte2BString(unsigned char Byte)
{
 unsigned char i;
 __Byte__Buffer__[8]='\0';
 for(i=7;i>0;i--)
 {
 __Byte__Buffer__[i]=(Byte%2)+48;
 Byte/=2;
 }
 __Byte__Buffer__[i]=(Byte%2)+48;
 return __Byte__Buffer__;
}

unsigned char* ConvertWord2BString(unsigned int Word)
{
 unsigned char i;
 __Word__Buffer__[16]='\0';
 for(i=15;i>0;i--)
 {
 __Word__Buffer__[i]=(Word%2)+48;
 Word/=2;
 }
 __Word__Buffer__[i]=(Word%2)+48;
 return __Word__Buffer__;
}


unsigned char ConvertBStringToByte(char* ByteString)
{
 unsigned char Offset,i,sum;
 for(i=7,Offset=1,sum=0;i>0;i--)
 {
 sum+=(ByteString[i]-48)*Offset;
 Offset*=2;
 }
 sum+=(ByteString[i]-48)*128;
 return sum;
}

unsigned int ConvertBStringToWord(char* WordString)
{
 unsigned char i;
 unsigned int sum,Offset;
 for(i=15,Offset=1,sum=0;i>0;i--)
 {
 sum+=(WordString[i]-48)*Offset;
 Offset*=2;
 }
 sum+=(WordString[i]-48)*32768;
 return sum;
}





char* ConvertByte2String(unsigned char Value)
{
 unsigned char __t__;
 char* __p__;

 if(!Value)
 {
 __BUFFER__[0]='0';
 __BUFFER__[1]='\0';
 }
 else
 {
 __t__=Value;
 for(__p__=__BUFFER__;__t__>0;__t__/=10)__p__++;
 for(*__p__='\0';Value>0;Value/=10)*--__p__=(Value%10)+48;
 }
 return __p__=__BUFFER__;
}



unsigned char ConvertString2Byte(char* String)
{
 unsigned char __c__;
 unsigned char __i__;
 unsigned char __s__;
 unsigned char __m__;
 for(__c__=0;*String;String++)__c__++;__s__=0;__m__=1;
 for(__i__=0;__i__<__c__;__i__++){__s__+=(*--String-48)*__m__;__m__*=10;}
 return __s__;
}




unsigned short StringCompare(char* StringA, char* StringB)
{
 unsigned int __l1__;
 unsigned int __l2__;
 __l1__=StringLength(StringA);
 __l2__=StringLength(StringB);
 if(__l1__!=__l2__)return 0;
 for(__l1__=0;*StringB;StringB++)if(*StringA++!=*StringB)return 0;
 return 1;
}


void StringReplace(char* x, char* y)
{
 while(*y)*x++=*y++;
}

unsigned short StringNCompare(char* Str1, char* Str2, unsigned int Number)
{
 while(Number>0)
 {
 if(*Str1++!=*Str2++)return 0;
 Number--;
 }
 return 1;
}


void StringNCopy(char* To, char* From, unsigned int Number)
{
 while(Number--!=0)
 *To++=*From++;
}

void StringToUpper(char* Str)
{
 while(*Str)
 {
 if(*Str>='a'&&*Str<='z')
 *Str-=' ';
 ++Str;
 }
}

void StringToLower(char* Str)
{
 while(*Str)
 {
 if(*Str>='A'&&*Str<='Z')
 *Str+=' ';
 ++Str;
 }
}

unsigned char IsCharUpper(char c)
{
 return (unsigned char)(c>='A'&&c<='Z');
}

unsigned char IsCharLower(char c)
{
 return (unsigned char)(c>='a'&&c<='z');
}
#line 1 "c:/documents and settings/nart schinackow/desktop/project/time.h"
enum WeekDays
{
SATURDAY=0x07,
SUNDAY=0x01,
MONDAY=0x02,
TUESDAY=0x03,
WEDNESDAY=0x04,
THURSDAY=0x05,
FRIDAY=0x06
};


struct TimeStruct
{
 char FormatedTime[9];
 char FormatedDate[9];
 void (*SetTime)(char Hour, char Minute, char WeekDay, char Date, char Month, char Year);
 char* (*GetTime)();
 char* (*GetDate)();
 void (*Update)();
}Time;
#line 1 "c:/documents and settings/nart schinackow/desktop/project/time.c"
void UpdateLocalTime()
{
 char min,sec,hr;
 char week_day,date,mn,year;
 I2C1_Start();
 I2C1_Wr(0xD0);
 I2C1_Wr(0);
 I2C1_Repeated_Start();
 I2C1_Wr(0xD1);
 sec =I2C1_Rd(1);
 min =I2C1_Rd(1);
 hr =I2C1_Rd(1);
 week_day =I2C1_Rd(1);
 date =I2C1_Rd(1);
 mn =I2C1_Rd(1);
 year =I2C1_Rd(0);
 I2C1_Stop();

 Time.FormatedTime[0]=((hr&0x30)>>4)+48;
 Time.FormatedTime[1]=(hr&0x0f)+48;
 Time.FormatedTime[2]=':';
 Time.FormatedTime[3]=((min&0x70)>>4)+48;
 Time.FormatedTime[4]=(min&0x0f)+48;
 Time.FormatedTime[5]=':';
 Time.FormatedTime[6]=((sec&0x70)>>4)+48;
 Time.FormatedTime[7]=(sec&0x0f)+48;
 Time.FormatedTime[8]='\0';

 Time.FormatedDate[0]=((date&0x30)>>4)+48;
 Time.FormatedDate[1]=(date&0x0f)+48;
 Time.FormatedDate[2]='/';
 Time.FormatedDate[3]=((mn&0x10)>>4)+48;
 Time.FormatedDate[4]=(mn&0x0f)+48;
 Time.FormatedDate[5]='/';
 Time.FormatedDate[6]=((year&0xf0)>>4)+48;
 Time.FormatedDate[7]=(year&0x0f)+48;
 Time.FormatedDate[8]='\0';
}

void SetLocalTime(char Hour, char Minute, char WeekDay, char Date, char Month, char Year)
{
 I2C1_Start();
 I2C1_Wr(0xD0);
 I2C1_Wr(0);
 I2C1_Wr(0x80);
 I2C1_Wr((((0x00|((Minute/10)%10))<<4)|(Minute%10)));
 I2C1_Wr((((0x00|((Hour/10)%10))<<4)|(Hour%10)));
 I2C1_Wr(WeekDay);
 I2C1_Wr((((0x00|((Date/10)%10))<<4)|(Date%10)));
 I2C1_Wr((((0x00|((Month/10)%10))<<4)|(Month%10)));
 I2C1_Wr((((0x00|((Year/10)%10))<<4)|(Year%10)));
 I2C1_Stop();

 I2C1_Start();
 I2C1_Wr(0xD0);
 I2C1_Wr(0);
 I2C1_Wr(0);
 I2C1_Stop();
}


char* GetLocalTime()
{
 return (char*)Time.FormatedTime;
}


char* GetLocalDate()
{
 return (char*)Time.FormatedDate;
}
#line 26 "c:/documents and settings/nart schinackow/desktop/project/time.h"
void InitTime()
{
 I2C1_Init(100000);
 Time.SetTime=&SetLocalTime;
 Time.Update=&UpdateLocalTime;
 Time.GetTime=&GetLocalTime;
 Time.GetDate=&GetLocalDate;
}
#line 1 "c:/documents and settings/nart schinackow/desktop/project/softmax7219.h"
extern sfr sbit MAX7219_SDO;
extern sfr sbit MAX7219_SDI;
extern sfr sbit MAX7219_SCK;
extern sfr sbit MAX7219_CS;


extern sfr sbit MAX7219_SDO_DIRECTION;
extern sfr sbit MAX7219_SDI_DIRECTION;
extern sfr sbit MAX7219_SCK_DIRECTION;
extern sfr sbit MAX7219_CS_DIRECTION;
#line 1 "c:/documents and settings/nart schinackow/desktop/project/softmax7219spi.c"
void Soft7219SpiWriteByte(char DataByte)
{
char ret;
unsigned char mask;

MAX7219_SCK=0;
mask = 0x80;
ret = 0;

do {
MAX7219_SDO=0;
if (DataByte & mask)MAX7219_SDO=1;
MAX7219_SCK=1;
if (MAX7219_SDI) ret |= mask;
delay_us(1);
MAX7219_SCK=0;
mask = mask >> 1;
delay_us(1);
} while (mask != 0);


}


char Soft7219SpiReadByte(char Clock)
{
char ret;
unsigned char mask;

MAX7219_SCK=0;
mask = 0x80;
ret = 0;

do {
MAX7219_SDO=0;
if (Clock & mask)MAX7219_SDO=1;
MAX7219_SCK=1;
if (MAX7219_SDI) ret |= mask;
delay_us(1);
MAX7219_SCK=0;
mask = mask >> 1;
delay_us(1);
} while (mask != 0);

return ret;
}
#line 1 "c:/documents and settings/nart schinackow/desktop/project/softmax7219.c"
void SoftMax7219Init()
{
 MAX7219_CS=1;
 MAX7219_SDO=0;
 MAX7219_SDI=0;
 MAX7219_SCK=0;
 MAX7219_CS_DIRECTION=0;
 MAX7219_SDO_DIRECTION=0;
 MAX7219_SDI_DIRECTION=1;
 MAX7219_SCK_DIRECTION=0;

 MAX7219_CS=1;

 MAX7219_CS=0;
 Soft7219SpiWriteByte(0x09);
 Soft7219SpiWriteByte(0x0f);
 MAX7219_CS=1;

 MAX7219_CS=0;
 Soft7219SpiWriteByte(0x0a);
 Soft7219SpiWriteByte(0x0f);
 MAX7219_CS=1;

 MAX7219_CS=0;
 Soft7219SpiWriteByte(0x0b);
 Soft7219SpiWriteByte(0x03);
 MAX7219_CS=1;

 MAX7219_CS=0;
 Soft7219SpiWriteByte(0x0c);
 Soft7219SpiWriteByte(0x01);
 MAX7219_CS=1;

 MAX7219_CS=0;
 Soft7219SpiWriteByte(0x00);
 Soft7219SpiWriteByte(0xff);
 MAX7219_CS=1;
}

void SoftMax7219Print(unsigned int Number)
{
 MAX7219_CS=0;
 Soft7219SpiWriteByte(0x01);
 Soft7219SpiWriteByte((Number/1000)%10);
 MAX7219_CS=1;

 MAX7219_CS=0;
 Soft7219SpiWriteByte(0x02);
 Soft7219SpiWriteByte((Number/100)%10);
 MAX7219_CS=1;

 MAX7219_CS=0;
 Soft7219SpiWriteByte(0x03);
 Soft7219SpiWriteByte((Number/10)%10);
 MAX7219_CS=1;

 MAX7219_CS=0;
 Soft7219SpiWriteByte(0x04);
 Soft7219SpiWriteByte(Number%10);
 MAX7219_CS=1;
}


void SoftMax7219DisplayOff()
{
 MAX7219_CS=0;
 Soft7219SpiWriteByte(0x0c);
 Soft7219SpiWriteByte(0x00);
 MAX7219_CS=1;
}

void SoftMax7219DisplayOn()
{
 MAX7219_CS=0;
 Soft7219SpiWriteByte(0x0c);
 Soft7219SpiWriteByte(0x01);
 MAX7219_CS=1;
}
#line 18 "c:/documents and settings/nart schinackow/desktop/project/softmax7219.h"
struct SoftMax7219Struct
{
 void (*Init)();
 void (*Print)(unsigned int Number);
 void (*TurnOff)();
 void (*TurnOn)();
}SoftDisplay={&SoftMax7219Init,&SoftMax7219Print,&SoftMax7219DisplayOff,&SoftMax7219DisplayOn};
#line 1 "c:/documents and settings/nart schinackow/desktop/project/softw5100.h"
extern sfr sbit SOFTWARE_W5100_SCS;
extern sfr sbit SOFTWARE_W5100_SDI;
extern sfr sbit SOFTWARE_W5100_SDO;
extern sfr sbit SOFTWARE_W5100_SCK;
extern sfr sbit SOFWTARE_W5100_RESET;

extern sfr sbit SOFTWARE_W5100_SCS_DIRECTION;
extern sfr sbit SOFTWARE_W5100_SDI_DIRECTION;
extern sfr sbit SOFTWARE_W5100_SDO_DIRECTION;
extern sfr sbit SOFTWARE_W5100_SCK_DIRECTION;
extern sfr sbit SOFWTARE_W5100_RESET_DIRECTION;
#line 62 "c:/documents and settings/nart schinackow/desktop/project/softw5100.h"
unsigned char Socket0;
extern void ProcessTcpRequest(char* Remote_Ip, char* Remote_Mac, unsigned int Remote_Port, unsigned int Local_port, unsigned int RequestLength);
char _Remote_Ip_Address_[4];
char _Remote_Mac_Address_[6];
#line 1 "c:/documents and settings/nart schinackow/desktop/project/softw5100spi.c"
void SoftSpiWriteByte(char DataByte)
{
char ret;
unsigned char mask;

SOFTWARE_W5100_SCK=0;
mask = 0x80;
ret = 0;
SOFTWARE_W5100_SCS=0;
do {
SOFTWARE_W5100_SDO=0;
if (DataByte & mask)SOFTWARE_W5100_SDO=1;
SOFTWARE_W5100_SCK=1;
if (SOFTWARE_W5100_SDI) ret |= mask;
delay_us(1);
SOFTWARE_W5100_SCK=0;
mask = mask >> 1;
delay_us(1);
} while (mask != 0);
SOFTWARE_W5100_SCS=1;

}


char SoftSpiReadByte(char Clock)
{
char ret;
unsigned char mask;

SOFTWARE_W5100_SCK=0;
mask = 0x80;
ret = 0;
SOFTWARE_W5100_SCS=0;
do {
SOFTWARE_W5100_SDO=0;
if (Clock & mask)SOFTWARE_W5100_SDO=1;
SOFTWARE_W5100_SCK=1;
if (SOFTWARE_W5100_SDI) ret |= mask;
delay_us(1);
SOFTWARE_W5100_SCK=0;
mask = mask >> 1;
delay_us(1);
} while (mask != 0);
SOFTWARE_W5100_SCS=1;
return ret;
}
#line 1 "c:/documents and settings/nart schinackow/desktop/project/softw5100.c"
void Soft_W5100_Hardware_Init()
{
 SOFTWARE_W5100_SCS=1;
 SOFWTARE_W5100_RESET=1;
 SOFTWARE_W5100_SCK=0;
 SOFTWARE_W5100_SDO=0;
 SOFTWARE_W5100_SDI=0;

 SOFTWARE_W5100_SCS_DIRECTION=0;
 SOFWTARE_W5100_RESET_DIRECTION=0;
 SOFTWARE_W5100_SCK_DIRECTION=0;
 SOFTWARE_W5100_SDO_DIRECTION=0;
 SOFTWARE_W5100_SDI_DIRECTION=1;


 SOFTWARE_W5100_SCS=1;
 SOFWTARE_W5100_RESET=1;
 delay_ms(10);

 SOFWTARE_W5100_RESET=0;
 delay_us(2);
 SOFWTARE_W5100_RESET=1;
 delay_ms(10);
}


void Soft_W5100_Write_Byte(unsigned int Address,unsigned short DATA)
{
 unsigned char HighAddress;
 unsigned char LowAddress;
 HighAddress=(Address&0xff00)>>8;
 LowAddress=Address&0x00ff;

 SoftSpiWriteByte( 0xF0 );
 SoftSpiWriteByte(HighAddress);
 SoftSpiWriteByte(LowAddress);
 SoftSpiWriteByte(DATA);

}

unsigned char Soft_W5100_Read_Byte(unsigned int Address)
{
 unsigned char HighAddress;
 unsigned char LowAddress;
 char Val;
 HighAddress=(Address&0xff00)>>8;
 LowAddress=Address&0x00ff;


 SoftSpiWriteByte( 0x0F );
 SoftSpiWriteByte(HighAddress);
 SoftSpiWriteByte(LowAddress);
 Val=SoftSpiReadByte(0);

 return val;
}

void Soft_W5100_Init(char* IpAddress, char* Subnet, char* Gatway, char* MacAddress)
{
 Soft_W5100_Write_Byte( 0x0000 ,0x80);

 Soft_W5100_Write_Byte( 0X0001 ,Gatway[0]);
 Soft_W5100_Write_Byte( 0X0001 +1,Gatway[1]);
 Soft_W5100_Write_Byte( 0X0001 +2,Gatway[2]);
 Soft_W5100_Write_Byte( 0X0001 +3,Gatway[3]);

 Soft_W5100_Write_Byte( 0X0009 ,MacAddress[0]);
 Soft_W5100_Write_Byte( 0X0009 +1,MacAddress[1]);
 Soft_W5100_Write_Byte( 0X0009 +2,MacAddress[2]);
 Soft_W5100_Write_Byte( 0X0009 +3,MacAddress[3]);
 Soft_W5100_Write_Byte( 0X0009 +4,MacAddress[4]);
 Soft_W5100_Write_Byte( 0X0009 +5,MacAddress[5]);

 Soft_W5100_Write_Byte( 0X0005 ,Subnet[0]);
 Soft_W5100_Write_Byte( 0X0005 +1,Subnet[1]);
 Soft_W5100_Write_Byte( 0X0005 +2,Subnet[2]);
 Soft_W5100_Write_Byte( 0X0005 +3,Subnet[3]);

 Soft_W5100_Write_Byte( 0x000f ,IpAddress[0]);
 Soft_W5100_Write_Byte( 0x000f +1,IpAddress[1]);
 Soft_W5100_Write_Byte( 0x000f +2,IpAddress[2]);
 Soft_W5100_Write_Byte( 0x000f +3,IpAddress[3]);

 Soft_W5100_Write_Byte( 0x001A , 0x05 );
 Soft_W5100_Write_Byte( 0x001B , 0x05 );
}

void Soft_W5100_CloseSocket()
{

 Soft_W5100_Write_Byte( 0x0401 , 0x10 );

 while(Soft_W5100_Read_Byte( 0x0401 ));
}

void Soft_W5100_DisconnectSocket()
{

 Soft_W5100_Write_Byte( 0x0401 , 0x08 );

 while(Soft_W5100_Read_Byte( 0x0401 ));
}

unsigned char Soft_W5100_ReadStatusRegister()
{
 return Soft_W5100_Read_Byte( 0x0403 );
}

unsigned char Soft_W5100_IsSocketClosed()
{
 return (Soft_W5100_Read_Byte( 0x0403 ) ==  0x00 );
}

unsigned char Soft_W5100_IsSocketInitialized()
{
 return (Soft_W5100_Read_Byte( 0x0403 ) ==  0x13 );
}

unsigned char Soft_W5100_IsSocketListening()
{
 return (Soft_W5100_Read_Byte( 0x0403 ) ==  0x14 );
}




unsigned char Soft_W5100_InitSocket(unsigned int PORT)
{
 unsigned char Error;
 unsigned char HighByte;
 unsigned char LowByte;

 Error=1;

 if (Soft_W5100_IsSocketClosed())Soft_W5100_CloseSocket();


 Soft_W5100_Write_Byte( 0x0400 , 0x01 );


 HighByte=(PORT&0xff00)>>8;
 LowByte=(PORT&0x00ff);
 Soft_W5100_Write_Byte( 0x0404 ,HighByte);
 Soft_W5100_Write_Byte( 0x0404 +1,LowByte);

 Soft_W5100_Write_Byte( 0x0401 , 0x01 );


 while(Soft_W5100_Read_Byte( 0x0401 ));


 if (Soft_W5100_IsSocketInitialized())
 Error=0;
 else
 Soft_W5100_CloseSocket();

 return Error;
}


unsigned char Soft_W5100_StartListening()
{
 unsigned char Error;
 Error=1;

 if (Soft_W5100_IsSocketInitialized)
 {

 Soft_W5100_Write_Byte( 0x0401 , 0x02 );

 while(Soft_W5100_Read_Byte( 0x0401 ));

 if (Soft_W5100_IsSocketListening())
 Error=0;
 else
 Soft_W5100_CloseSocket();
 }
 return Error;
}

void Soft_W5100_WriteTxBuffer(unsigned int Address, char* Data, unsigned int Size)
{
 unsigned int i;
 for(i=0;i<Size;i++,Address++)
 {
 Soft_W5100_Write_Byte(Address,Data[i]);
 }
}

void Soft_W5100_ConstWriteTxBuffer(unsigned int Address, const char* Data, unsigned int Size)
{
 unsigned int i;
 for(i=0;i<Size;i++,Address++)
 {
 Soft_W5100_Write_Byte(Address,Data[i]);
 }
}

void Soft_W5100_ReadRxBuffer(unsigned int Address, char* Destination, unsigned int Size)
{
 unsigned int i;
 for(i=0;i<Size;i++,Address++)
 {
 Destination[i]=Soft_W5100_Read_Byte(Address);
 }
}

unsigned char Soft_W5100_Write_Page(char* TxBuffer, unsigned int SendSize)
{

unsigned int FreeSize;


unsigned int MemoryPointer;
unsigned int PhisycalAddress;
unsigned char HighByte;
unsigned char LowByte;
unsigned int GetOffset;


MemoryPointer =(unsigned int)Soft_W5100_Read_Byte( 0x0424 );
MemoryPointer=MemoryPointer<<8;
MemoryPointer=MemoryPointer|(unsigned int)Soft_W5100_Read_Byte( 0x0424 +1);

GetOffset=MemoryPointer& 0x07FF ;
PhisycalAddress= 0x4000 +GetOffset;

if(GetOffset+SendSize> 0x07FF +1)
{
 FreeSize=( 0x07FF +1)-GetOffset;
 Soft_W5100_WriteTxBuffer(PhisycalAddress,TxBuffer,FreeSize);
 Soft_W5100_WriteTxBuffer( 0x4000 ,TxBuffer+FreeSize,SendSize-FreeSize);
}
else
{
 Soft_W5100_WriteTxBuffer(PhisycalAddress,TxBuffer,SendSize);
}

MemoryPointer+=SendSize;



HighByte=(MemoryPointer&0xff00)>>8;
LowByte=MemoryPointer&0x00ff;
Soft_W5100_Write_Byte( 0x0424 ,HighByte);
Soft_W5100_Write_Byte( 0x0424 +1,LowByte);

return 0;
}



unsigned char Soft_W5100_Write_ConstPage(const char* TxBuffer, unsigned int SendSize)
{

unsigned int FreeSize;


unsigned int MemoryPointer;
unsigned int PhisycalAddress;
unsigned char HighByte;
unsigned char LowByte;
unsigned int GetOffset;


MemoryPointer =(unsigned int)Soft_W5100_Read_Byte( 0x0424 );
MemoryPointer=MemoryPointer<<8;
MemoryPointer=MemoryPointer|(unsigned int)Soft_W5100_Read_Byte( 0x0424 +1);

GetOffset=MemoryPointer& 0x07FF ;
PhisycalAddress= 0x4000 +GetOffset;

if(GetOffset+SendSize> 0x07FF +1)
{
 FreeSize=( 0x07FF +1)-GetOffset;
 Soft_W5100_ConstWriteTxBuffer(PhisycalAddress,TxBuffer,FreeSize);
 Soft_W5100_ConstWriteTxBuffer( 0x4000 ,TxBuffer+FreeSize,SendSize-FreeSize);
}
else
{
 Soft_W5100_ConstWriteTxBuffer(PhisycalAddress,TxBuffer,SendSize);
}

MemoryPointer+=SendSize;



HighByte=(MemoryPointer&0xff00)>>8;
LowByte=MemoryPointer&0x00ff;
Soft_W5100_Write_Byte( 0x0424 ,HighByte);
Soft_W5100_Write_Byte( 0x0424 +1,LowByte);

return 0;
}



unsigned char Soft_W5100_Get_Request(char* ReceiveBuffer, unsigned int ReceiveSize)
{
unsigned int GetOffset;
unsigned int MemoryPointer;
unsigned int PhisycalAddress;
unsigned char HighByte;
unsigned char LowByte;
unsigned int FreeSize;




MemoryPointer =(unsigned int)Soft_W5100_Read_Byte( 0x0428 );
MemoryPointer=MemoryPointer<<8;
MemoryPointer=MemoryPointer|(unsigned int)Soft_W5100_Read_Byte( 0x0428 +1);

GetOffset=MemoryPointer& 0x07FF ;
PhisycalAddress= 0x6000 +GetOffset;

if(GetOffset+ReceiveSize> 0x07FF +1)
{
 FreeSize=( 0x07FF +1)-GetOffset;
 Soft_W5100_ReadRxBuffer(PhisycalAddress,ReceiveBuffer,FreeSize);
 Soft_W5100_ReadRxBuffer( 0x6000 ,ReceiveBuffer+FreeSize,ReceiveSize-FreeSize);
}
else
{
 Soft_W5100_ReadRxBuffer(PhisycalAddress,ReceiveBuffer,ReceiveSize);
}

MemoryPointer+=ReceiveSize;


HighByte=(MemoryPointer&0xff00)>>8;
LowByte=MemoryPointer&0x00ff;
Soft_W5100_Write_Byte( 0x0428 ,HighByte);
Soft_W5100_Write_Byte( 0x0428 +1,LowByte);


Soft_W5100_Write_Byte( 0x0401 , 0x40 );
delay_us(10);

ReceiveBuffer[ReceiveSize-1]='\0';

return 0;
}

unsigned int Soft_W5100_GetRequestSize()
{
 unsigned int Size;
 Size=0;
 Size=(unsigned int)Soft_W5100_Read_Byte( 0x0426 );
 Size=Size<<8;
 Size=Size|(unsigned int)Soft_W5100_Read_Byte( 0x0426 +1);
 return Size;
}


unsigned int Soft_W5100_GetLocalPort()
{
 unsigned int Val;
 Val=(unsigned int)Soft_W5100_Read_Byte( 0x0404 );
 Val=Val<<8;
 Val=Val|(unsigned int)Soft_W5100_Read_Byte( 0x0404 +1);
 return Val;
}

unsigned int Soft_W5100_GetRemotePort()
{
 unsigned int Val;
 Val=(unsigned int)Soft_W5100_Read_Byte( 0x0410 );
 Val=Val<<8;
 Val=Val|(unsigned int)Soft_W5100_Read_Byte( 0x0410 +1);
 return Val;
}

char* Soft_W5100_GetRemoteIp()
{
_Remote_Ip_Address_[0]=Soft_W5100_Read_Byte( 0x040C );
_Remote_Ip_Address_[1]=Soft_W5100_Read_Byte( 0x040C +1);
_Remote_Ip_Address_[2]=Soft_W5100_Read_Byte( 0x040C +2);
_Remote_Ip_Address_[3]=Soft_W5100_Read_Byte( 0x040C +3);
return _Remote_Ip_Address_;
}

char* Soft_W5100_GetRemoteMac()
{
_Remote_Mac_Address_[0]=Soft_W5100_Read_Byte( 0x0406 );
_Remote_Mac_Address_[1]=Soft_W5100_Read_Byte( 0x0406 +1);
_Remote_Mac_Address_[2]=Soft_W5100_Read_Byte( 0x0406 +2);
_Remote_Mac_Address_[3]=Soft_W5100_Read_Byte( 0x0406 +3);
_Remote_Mac_Address_[4]=Soft_W5100_Read_Byte( 0x0406 +4);
_Remote_Mac_Address_[5]=Soft_W5100_Read_Byte( 0x0406 +5);
return _Remote_Mac_Address_;
}

char* Soft_W5100_GetLocal_IpAddress()
{
 _Remote_Ip_Address_[0]=Soft_W5100_Read_Byte( 0x000f );
 _Remote_Ip_Address_[1]=Soft_W5100_Read_Byte( 0x000f +1);
 _Remote_Ip_Address_[2]=Soft_W5100_Read_Byte( 0x000f +2);
 _Remote_Ip_Address_[3]=Soft_W5100_Read_Byte( 0x000f +3);
 return _Remote_Ip_Address_;
}

char* Soft_W5100_GetLocal_MacAddress()
{
 _Remote_Mac_Address_[0]=Soft_W5100_Read_Byte( 0X0009 );
 _Remote_Mac_Address_[1]=Soft_W5100_Read_Byte( 0X0009 +1);
 _Remote_Mac_Address_[2]=Soft_W5100_Read_Byte( 0X0009 +2);
 _Remote_Mac_Address_[3]=Soft_W5100_Read_Byte( 0X0009 +3);
 _Remote_Mac_Address_[4]=Soft_W5100_Read_Byte( 0X0009 +4);
 _Remote_Mac_Address_[5]=Soft_W5100_Read_Byte( 0X0009 +5);
 return _Remote_Mac_Address_;
}

char* Soft_W5100_GetLocal_SubnetMask()
{
 _Remote_Ip_Address_[0]=Soft_W5100_Read_Byte( 0X0005 );
 _Remote_Ip_Address_[1]=Soft_W5100_Read_Byte( 0X0005 +1);
 _Remote_Ip_Address_[2]=Soft_W5100_Read_Byte( 0X0005 +2);
 _Remote_Ip_Address_[3]=Soft_W5100_Read_Byte( 0X0005 +3);
 return _Remote_Ip_Address_;
}

char* Soft_W5100_GetLocal_DefaultGateway()
{
 _Remote_Ip_Address_[0]=Soft_W5100_Read_Byte( 0X0001 );
 _Remote_Ip_Address_[1]=Soft_W5100_Read_Byte( 0X0001 +1);
 _Remote_Ip_Address_[2]=Soft_W5100_Read_Byte( 0X0001 +2);
 _Remote_Ip_Address_[3]=Soft_W5100_Read_Byte( 0X0001 +3);
 return _Remote_Ip_Address_;
}


void Soft_W5100_UpdateSocketStatus()
{
 unsigned int RequestSize;
 unsigned int rp;
 char* rmac;
 unsigned int lp;
 char* rip;

 Socket0 =Soft_W5100_ReadStatusRegister();
 switch(Socket0)
 {

 case  0x00 :
 if (Soft_W5100_InitSocket(80)==0) {
 if (Soft_W5100_StartListening()==0);
 delay_ms(1000);
 }
 break;


 case  0x17 :
 RequestSize=Soft_W5100_GetRequestSize();
 if(RequestSize>0){
 rmac=Soft_W5100_GetRemoteMac();
 rip=Soft_W5100_GetRemoteIp();
 lp=Soft_W5100_GetLocalPort();
 rp=Soft_W5100_GetRemotePort();
 ProcessTcpRequest(rip,rmac,rp,lp,RequestSize);
 Soft_W5100_DisconnectSocket();}
 break;

 default:
 Soft_W5100_CloseSocket();
 break;
 }
}


void SendPage()
{

Soft_W5100_Write_Byte( 0x0401 , 0x20 );

while(Soft_W5100_Read_Byte( 0x0401 ));
}
#line 7 "C:/Documents and Settings/Nart Schinackow/Desktop/Project/Source.c"
sfr sbit SOFTWARE_W5100_SCS at RB0_bit;
sfr sbit SOFTWARE_W5100_SDI at RB1_bit;
sfr sbit SOFTWARE_W5100_SDO at RB2_bit;
sfr sbit SOFTWARE_W5100_SCK at RB3_bit;
sfr sbit SOFWTARE_W5100_RESET at RB4_bit;
sfr sbit SOFTWARE_W5100_SCS_DIRECTION at TRISB0_bit;
sfr sbit SOFTWARE_W5100_SDI_DIRECTION at TRISB1_bit;
sfr sbit SOFTWARE_W5100_SDO_DIRECTION at TRISB2_bit;
sfr sbit SOFTWARE_W5100_SCK_DIRECTION at TRISB3_bit;
sfr sbit SOFWTARE_W5100_RESET_DIRECTION at TRISB4_bit;



sfr sbit MAX7219_SDO at RB5_bit;
sfr sbit MAX7219_SDI at RB6_bit;
sfr sbit MAX7219_SCK at RB7_bit;
sfr sbit MAX7219_CS at RC0_bit;
sfr sbit MAX7219_SDO_DIRECTION at TRISB5_bit;
sfr sbit MAX7219_SDI_DIRECTION at TRISB6_bit;
sfr sbit MAX7219_SCK_DIRECTION at TRISB7_bit;
sfr sbit MAX7219_CS_DIRECTION at TRISC0_bit;


char IpAdd[]={192,168,1,15};
char Subnet[]={255,255,255,0};
char DefGateWay[]={192,168,1,1};
char Mac[]={0x00, 0x14, 0xA5, 0x76, 0x19, 0x3f};

char ReqBuff[20];


const char WebPagePart1[]=
#line 45 "C:/Documents and Settings/Nart Schinackow/Desktop/Project/Source.c"
"HTTP/1.1 200 OK\nContent-Type: text/html\n\n<html><head><title>Project Web Page</title></head><body><h1 align=center>LOCAL TIME : ";


const char WebPagePart2[]=
#line 58 "C:/Documents and Settings/Nart Schinackow/Desktop/Project/Source.c"
"</h1><form action=\"/r\" method=\"get\"><h1 align=center><input type=\"submit\" value=\"Refresh Time\"></h1></form><form action=\"/s\" method=\"get\"><h1 align=center><input type=\"text\" name=\"t1\"></h1><h1 align=center><input type=\"submit\" value=\"Change Display\"></h1></form></body></html>";



void ProcessTcpRequest(char* Remote_Ip, char* Remote_Mac, unsigned int Remote_Port, unsigned int Local_port, unsigned int RequestLength)
{
 Soft_W5100_Get_Request(ReqBuff,20);

 if(ReqBuff[5]=='r')
 {
 Time.Update();
 Soft_W5100_Write_ConstPage(WebPagePart1,127);
 SendPage();
 Soft_W5100_Write_Page(Time.FormatedTime,5);
 SendPage();
 Soft_W5100_Write_ConstPage(WebPagePart2,277);
 SendPage();
 }

 else if(ReqBuff[5]=='s')
 {
 SoftDisplay.Print((unsigned int)ReqBuff[10]-48);
 Soft_W5100_Write_ConstPage(WebPagePart1,127);
 SendPage();
 Soft_W5100_Write_ConstPage(WebPagePart2,277);
 SendPage();
 }

 else {
 Soft_W5100_Write_ConstPage(WebPagePart1,127);
 SendPage();
 Soft_W5100_Write_ConstPage(WebPagePart2,277);
 SendPage();
 }

}

void main()
{
 InitTime();
 SoftDisplay.Init();
 Soft_W5100_Hardware_Init();
 Soft_W5100_Init(IpAdd,Subnet,DefGateWay,Mac);
 SoftDisplay.Print(0);
 while(1)
 {
 Soft_W5100_UpdateSocketStatus();
 }

}
