void UpdateLocalTime()
{
   char min,sec,hr;
   char week_day,date,mn,year;
   I2C1_Start();
   I2C1_Wr(0xD0);
   I2C1_Wr(0);
   I2C1_Repeated_Start();
   I2C1_Wr(0xD1);
   sec =I2C1_Rd(1);
   min =I2C1_Rd(1);
   hr =I2C1_Rd(1);
   week_day =I2C1_Rd(1);
   date =I2C1_Rd(1);
   mn =I2C1_Rd(1);
   year =I2C1_Rd(0);
   I2C1_Stop();

   Time.FormatedTime[0]=((hr&0x30)>>4)+48;
   Time.FormatedTime[1]=(hr&0x0f)+48;
   Time.FormatedTime[2]=':';
   Time.FormatedTime[3]=((min&0x70)>>4)+48;
   Time.FormatedTime[4]=(min&0x0f)+48;
   Time.FormatedTime[5]=':';
   Time.FormatedTime[6]=((sec&0x70)>>4)+48;
   Time.FormatedTime[7]=(sec&0x0f)+48;
   Time.FormatedTime[8]='\0';
   
   Time.FormatedDate[0]=((date&0x30)>>4)+48;
   Time.FormatedDate[1]=(date&0x0f)+48;
   Time.FormatedDate[2]='/';
   Time.FormatedDate[3]=((mn&0x10)>>4)+48;
   Time.FormatedDate[4]=(mn&0x0f)+48;
   Time.FormatedDate[5]='/';
   Time.FormatedDate[6]=((year&0xf0)>>4)+48;
   Time.FormatedDate[7]=(year&0x0f)+48;
   Time.FormatedDate[8]='\0';
}

void SetLocalTime(char Hour, char Minute, char WeekDay, char Date, char Month, char Year)
{
   I2C1_Start();          
   I2C1_Wr(0xD0);         
   I2C1_Wr(0);            
   I2C1_Wr(0x80);         
   I2C1_Wr((((0x00|((Minute/10)%10))<<4)|(Minute%10)));
   I2C1_Wr((((0x00|((Hour/10)%10))<<4)|(Hour%10)));
   I2C1_Wr(WeekDay);
   I2C1_Wr((((0x00|((Date/10)%10))<<4)|(Date%10)));
   I2C1_Wr((((0x00|((Month/10)%10))<<4)|(Month%10)));
   I2C1_Wr((((0x00|((Year/10)%10))<<4)|(Year%10)));
   I2C1_Stop();
   
   I2C1_Start();          
   I2C1_Wr(0xD0);         
   I2C1_Wr(0);            
   I2C1_Wr(0);            
   I2C1_Stop();           
}


char* GetLocalTime()
{
  return (char*)Time.FormatedTime;
}


char* GetLocalDate()
{
  return (char*)Time.FormatedDate;
}



